Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.ra
Class DummyResourceAdapter

    java.lang.Object
      org.apache.ode.ra.DummyResourceAdapter

All Implemented Interfaces:
  javax.resource.spi.ResourceAdapter

    public class DummyResourceAdapter

extends java.lang.Object
implements javax.resource.spi.ResourceAdapter

Does nothing

Constructor Summary
`DummyResourceAdapter()`

Method Summary
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory arg0, javax.resource.spi.ActivationSpec arg1)`
`void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory arg0, javax.resource.spi.ActivationSpec arg1)`
`javax.transaction.xa.XAResource[]` | `getXAResources(javax.resource.spi.ActivationSpec[] arg0)`
`void` | `start(javax.resource.spi.BootstrapContext arg0)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyResourceAdapter

    public DummyResourceAdapter()

Method Detail

### start

    public void start(javax.resource.spi.BootstrapContext arg0)
               throws javax.resource.spi.ResourceAdapterInternalException

  Specified by:
    `start` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.spi.ResourceAdapterInternalException`
  See Also:
    `ResourceAdapter.start(javax.resource.spi.BootstrapContext)`

### stop

    public void stop()

  Specified by:
    `stop` in interface `javax.resource.spi.ResourceAdapter`
  See Also:
    `ResourceAdapter.stop()`

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory arg0,
                                   javax.resource.spi.ActivationSpec arg1)
                            throws javax.resource.ResourceException

  Specified by:
    `endpointActivation` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `ResourceAdapter.endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

### endpointDeactivation

    public void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory arg0,
                                     javax.resource.spi.ActivationSpec arg1)

  Specified by:
    `endpointDeactivation` in interface `javax.resource.spi.ResourceAdapter`
  See Also:
    `ResourceAdapter.endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

### getXAResources

    public javax.transaction.xa.XAResource[] getXAResources(javax.resource.spi.ActivationSpec[] arg0)
                                                     throws javax.resource.ResourceException

  Specified by:
    `getXAResources` in interface `javax.resource.spi.ResourceAdapter`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `ResourceAdapter.getXAResources(javax.resource.spi.ActivationSpec[])`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD